## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%if 0%{?fedora} || 0%{?rhel} >= 8
%bcond_without tests
%else
%bcond_with tests
%endif

%if 0%{?fedora} || 0%{?rhel} >= 8
%global with_python3legacy 1
%global with_python3CFFI 1
%endif

%if 0%{?rhel} && 0%{?rhel} <= 7
%global with_python2 1
%endif

%if 0%{?fedora} >= 36 || 0%{?rhel} >= 9
%bcond_without sfsexp
%else
%bcond_with sfsexp
%endif

# comparing {_emacs_version} in macros does not work well
# so we catch the major version bumps ;)
# read "with emacs at least"
%if 0%{?fedora} >= 37 || 0%{?rhel} >= 10
%global with_emacs28 1
%endif
%if 0%{?fedora} >= 39 || 0%{?rhel} >= 10
%global with_emacs29 1
%endif

# build python 3 modules with python 3 ;)
%if 0%{?with_python3legacy} || 0%{?with_python3CFFI}
%global with_python3 1
%endif

Name:           notmuch
Version:        0.38.3
Release:        %autorelease
Summary:        System for indexing, searching, and tagging email
License:        GPL-3.0-or-later
URL:            https://notmuchmail.org/
Source0:        https://notmuchmail.org/releases/notmuch-%{version}.tar.xz
Source1:        https://notmuchmail.org/releases/notmuch-%{version}.tar.xz.asc
# Imported from public key servers; author provides no fingerprint!
Source2:        gpgkey-7A18807F100A4570C59684207E4E65C8720B706B.gpg
Patch1:         0001-test-allow-to-use-full-scan.patch
Patch2:         0002-test-use-NOTMUCH_NEW-consistently.patch

BuildRequires:  make
%if 0%{?fedora} >= 41
BuildRequires:  bash-completion-devel
%else
BuildRequires:  bash-completion
%endif
BuildRequires:  desktop-file-utils
BuildRequires:  emacs
BuildRequires:  emacs-el
BuildRequires:  emacs-nox
Buildrequires:  gcc gcc-c++
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  texinfo
BuildRequires:  gnupg2
BuildRequires:  gnupg2-smime
BuildRequires:  gmime30-devel
BuildRequires:  libtalloc-devel
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl-podlators
%if 0%{?with_python2}
BuildRequires:  python2-devel
BuildRequires:  python2-docutils
BuildRequires:  python2-sphinx
%endif
BuildRequires:  ruby-devel
%if %{with sfsexp}
BuildRequires:  pkgconfig(sfsexp)
%endif
BuildRequires:  xapian-core-devel
BuildRequires:  zlib-devel

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-sphinx
%endif

%if 0%{?with_python3CFFI}
BuildRequires:  python3-setuptools
  %if %{with tests}
BuildRequires:  python3-pytest
# Not available on *EL, skip some tests there:
    %if 0%{?fedora}
BuildRequires:  python3-pytest-shutil
    %endif
  %endif
BuildRequires:  python3-cffi
%endif

%if %{with tests}
# Not available on *EL, skip some tests there:
  %if 0%{?fedora}
BuildRequires:  dtach
  %endif
BuildRequires:  gdb
  %if %{with sfsexp}
BuildRequires:  git-core
  %endif
BuildRequires:  man
BuildRequires:  openssl
# You might also want to rebuild with valgrind-devel libasan libasan-static.
%endif

Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description
Fast system for indexing, searching, and tagging email.  Even if you
receive 12000 messages per month or have on the order of millions of
messages that you've been saving for decades, Notmuch will be able to
quickly search all of it.

Notmuch is not much of an email program. It doesn't receive messages
(no POP or IMAP support). It doesn't send messages (no mail composer,
no network code at all). And for what it does do (email search) that
work is provided by an external library, Xapian. So if Notmuch
provides no user interface and Xapian does all the heavy lifting, then
what's left here? Not much.

%package    devel
Summary:    Development libraries and header files for the Notmuch library
Requires:   %{name} = %{version}-%{release}

%description devel
Notmuch-devel contains the development libraries and header files for
Notmuch email program.  These libraries and header files are
necessary if you plan to do development using Notmuch.

Install notmuch-devel if you are developing C programs which will use the
Notmuch library.  You'll also need to install the notmuch package.

%if %{with sfsexp}
%package    git
Summary:    Manage notmuch tags with git
Requires:   %{name} = %{version}-%{release}
Requires:   git-core
%if 0%{?with_python3CFFI}
Recommends: python3-notmuch2
%endif

%description git
This package contains a simple tool to save, restore, and synchronize
notmuch tags via git repositories.
%endif

%package -n emacs-notmuch
Summary:    Not much support for Emacs
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}
Requires:   emacs(bin) >= %{_emacs_version}

%description -n emacs-notmuch
%{summary}.

%if 0%{?with_python2}
%package -n python2-notmuch
Summary:    Python2 bindings for notmuch
Requires:   %{name} = %{version}-%{release}
%{?python_provide:%python_provide python2-notmuch}

Requires:       python2

%description -n python2-notmuch
%{summary}.
%endif

%if 0%{?with_python3legacy}
%package -n python3-notmuch
Summary:    Python3 bindings for notmuch (legacy)
Requires:   %{name} = %{version}-%{release}
%{?python_provide:%python_provide python3-notmuch}

Requires:       python3

%description -n python3-notmuch
%{summary}.
%endif

%if 0%{?with_python3CFFI}
%package -n python3-notmuch2
Summary:    Python3 bindings for notmuch (cffi)
Requires:   %{name} = %{version}-%{release}
%{?python_provide:%python_provide python3-notmuch2}

Requires:       python3

%description -n python3-notmuch2
%{summary}.
%endif

%package -n ruby-notmuch
Summary:    Ruby bindings for notmuch
Requires:   %{name} = %{version}-%{release}

%description -n ruby-notmuch
%{summary}.

%package    mutt
Summary:    Notmuch (of a) helper for Mutt
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}
Requires:   perl(Term::ReadLine::Gnu)

%description mutt
notmuch-mutt provide integration among the Mutt mail user agent and
the Notmuch mail indexer.

%package    vim
Summary:    A Vim plugin for notmuch
Requires:   ruby-%{name} = %{version}-%{release}
Requires:   rubygem-mail
Requires:   vim-enhanced
# Required for updating helptags in scriptlets.
Requires(post):    vim-enhanced
Requires(postun):  vim-enhanced

%description vim
notmuch-vim is a Vim plugin that provides a fully usable mail client
interface, utilizing the notmuch framework.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
# DEBUG mtime/stat
%configure --emacslispdir=%{_emacs_sitelispdir}
%make_build CFLAGS="$RPM_OPT_FLAGS -fPIC"

# Build the python bindings
pushd bindings/python
    %if 0%{?with_python2}
    %py2_build
    %endif
    %if 0%{?with_python3}
    %py3_build
    %endif
popd

# Build the python cffi bindings
pushd bindings/python-cffi
    %if 0%{?with_python3CFFI}
    %py3_build
    %endif
popd

# Build notmuch-mutt
pushd contrib/notmuch-mutt
    make
popd

%if %{with tests}
%check
# armv7hl pulls in libasan but we build without, and should test without it.
NOTMUCH_SKIP_TESTS="asan"
# notmuch-git and its tests require sfsexp.
NOTMUCH_SKIP_TESTS="$NOTMUCH_SKIP_TESTS%{!?with_sfsexp: git}"
# T460-emacs-tree.14 leads to sporadic failures with emacs 29
NOTMUCH_SKIP_TESTS="$NOTMUCH_SKIP_TESTS%{?with_emacs29: emacs-tree.14}"
# T460-emacs-tree.23 uses outline-cycle-buffer which requires emacs 28
NOTMUCH_SKIP_TESTS="$NOTMUCH_SKIP_TESTS%{!?with_emacs28: emacs-tree.23}"
# At least on koji/copr, test suite suffers from race conditions when parallelised.
# At least some rhel builds show mtime/stat related Heisenbugs when
# notmuch new takes shortcuts, so enforce --full-scan there.
NOTMUCH_SKIP_TESTS="$NOTMUCH_SKIP_TESTS" \
NOTMUCH_TEST_SERIALIZE="yesplease" \
make test V=1 %{?rhel:NOTMUCH_TEST_FULLSCAN=1}
%endif

%install
%make_install

# Enable dynamic library stripping.
find %{buildroot}%{_libdir} -name *.so* -exec chmod 755 {} \;

%if %{with sfsexp}
install -m0755 notmuch-git nmbug %{buildroot}%{_bindir}/
%endif

# Install the python bindings and documentation
pushd bindings/python
    %if 0%{?with_python2}
    %py2_install
    %endif
    %if 0%{?with_python3legacy}
    %py3_install
    %endif
popd

# Install the python cffi bindings and documentation
pushd bindings/python-cffi
    %if 0%{?with_python3CFFI}
    %py3_install
    %endif
popd

# Install the ruby bindings
pushd bindings/ruby
    make install DESTDIR=%{buildroot}
popd

# Install notmuch-mutt
install -m0755 contrib/notmuch-mutt/notmuch-mutt \
    %{buildroot}%{_bindir}/notmuch-mutt
install -m0644 contrib/notmuch-mutt/notmuch-mutt.1 \
    %{buildroot}%{_mandir}/man1/notmuch-mutt.1

# Install notmuch-vim
pushd vim
    make install DESTDIR=%{buildroot} prefix="%{_datadir}/vim/vimfiles"
popd

%if %{without sfsexp}
# Do not install notmuch-git which requires sfsexp
rm -f %{buildroot}%{_mandir}/man1/nmbug.1*
rm -f %{buildroot}%{_mandir}/man1/notmuch-git.1*
rm -f %{buildroot}%{_infodir}/nmbug.info*
rm -f %{buildroot}%{_infodir}/notmuch-git.info*
%endif

rm -f %{buildroot}/%{_datadir}/applications/mimeinfo.cache
rm -f %{buildroot}%{_infodir}/dir

%post vim
cd %{_datadir}/vim/vimfiles/doc
vim -u NONE -esX -c "helptags ." -c quit

%postun vim
cd %{_datadir}/vim/vimfiles/doc
vim -u NONE -esX -c "helptags ." -c quit

%files
%doc AUTHORS COPYING COPYING-GPL-3 README
%{_datadir}/zsh/site-functions/_notmuch
%{_datadir}/zsh/site-functions/_email-notmuch
%{_datadir}/bash-completion/completions/notmuch
%{_bindir}/notmuch
%{_libdir}/libnotmuch.so.5*
%{_mandir}/man1/notmuch.1*
%{_mandir}/man1/notmuch-address.1*
%{_mandir}/man1/notmuch-compact.1*
%{_mandir}/man1/notmuch-config.1*
%{_mandir}/man1/notmuch-count.1*
%{_mandir}/man1/notmuch-dump.1*
%{_mandir}/man1/notmuch-insert.1*
%{_mandir}/man1/notmuch-new.1*
%{_mandir}/man1/notmuch-reindex.1*
%{_mandir}/man1/notmuch-reply.1*
%{_mandir}/man1/notmuch-restore.1*
%{_mandir}/man1/notmuch-search.1*
%{_mandir}/man1/notmuch-setup.1*
%{_mandir}/man1/notmuch-show.1*
%{_mandir}/man1/notmuch-tag.1*
%{_mandir}/man5/notmuch-hooks.5*
%{_mandir}/man7/notmuch-properties.7*
%{_mandir}/man7/notmuch-search-terms.7*
%{_mandir}/man7/notmuch-sexp-queries.7*
%{_infodir}/notmuch.info*
%{_infodir}/notmuch-address.info*
%{_infodir}/notmuch-compact.info*
%{_infodir}/notmuch-config.info*
%{_infodir}/notmuch-count.info*
%{_infodir}/notmuch-dump.info*
%{_infodir}/notmuch-hooks.info*
%{_infodir}/notmuch-insert.info*
%{_infodir}/notmuch-new.info*
%{_infodir}/notmuch-properties.info*
%{_infodir}/notmuch-reindex.info*
%{_infodir}/notmuch-reply.info*
%{_infodir}/notmuch-restore.info*
%{_infodir}/notmuch-search-terms.info*
%{_infodir}/notmuch-search.info*
%{_infodir}/notmuch-setup.info*
%{_infodir}/notmuch-sexp-queries.info*
%{_infodir}/notmuch-show.info*
%{_infodir}/notmuch-tag.info*

%files devel
%{_libdir}/libnotmuch.so
%{_includedir}/*
%{_mandir}/man3/notmuch*.3*

%if %{with sfsexp}
%files git
%{_bindir}/nmbug
%{_bindir}/notmuch-git
%{_mandir}/man1/nmbug.1*
%{_mandir}/man1/notmuch-git.1*
%{_infodir}/nmbug.info*
%{_infodir}/notmuch-git.info*
%endif

%files -n emacs-notmuch
%{_emacs_sitelispdir}/*.el
%{_emacs_sitelispdir}/*.elc
%{_emacs_sitelispdir}/notmuch-logo.svg
%{_datadir}/applications/notmuch-emacs-mua.desktop
%{_bindir}/notmuch-emacs-mua
%{_mandir}/man1/notmuch-emacs-mua.1*
%{_infodir}/notmuch-emacs-mua.info*
%{_infodir}/notmuch-emacs.info*

%if 0%{?with_python2}
%files -n python2-notmuch
%doc bindings/python/README
%{python2_sitelib}/notmuch*
%endif

%if 0%{?with_python3legacy}
%files -n python3-notmuch
%doc bindings/python/README
%{python3_sitelib}/notmuch*
%endif

%if 0%{?with_python3CFFI}
%files -n python3-notmuch2
%{python3_sitearch}/notmuch*
%endif

%files -n ruby-notmuch
%{ruby_vendorarchdir}/*

%files mutt
%{_bindir}/notmuch-mutt
%{_mandir}/man1/notmuch-mutt.1*

%files vim
%{_datadir}/vim/vimfiles/doc/notmuch.txt
%{_datadir}/vim/vimfiles/plugin/notmuch.vim
%{_datadir}/vim/vimfiles/syntax/notmuch-compose.vim
%{_datadir}/vim/vimfiles/syntax/notmuch-folders.vim
%{_datadir}/vim/vimfiles/syntax/notmuch-git-diff.vim
%{_datadir}/vim/vimfiles/syntax/notmuch-search.vim
%{_datadir}/vim/vimfiles/syntax/notmuch-show.vim

%changelog
## START: Generated by rpmautospec
* Sun Mar 10 2024 Michael J Gruber <mjg@fedoraproject.org> - 0.38.3-1
- rebase with upstream release 0.38.3 (rhbz#2268739)
- Fix a bug in configuration code that caused the notmuch command to
  erroneously report "Error: could not locate database" under some
  circumstances.

* Mon Feb 26 2024 Michael J Gruber <mjg@fedoraproject.org> - 0.38.2-6
- fix FTBFS by following bash-completion packaging change

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.38.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.38.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.38.2-3
- Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_3.3

* Fri Dec 01 2023 Michael J Gruber <mjg@fedoraproject.org> - 0.38.2-2
- and fix the bad rebase

* Fri Dec 01 2023 Michael J Gruber <mjg@fedoraproject.org> - 0.38.2-1
- rebase with upstream release 0.38.2 (rhbz#2252405)
- Library: Use stable sort for properties.
- Emacs: Avoid extra separators after the last address in `notmuch-emacs-
  mua`.

* Wed Nov 29 2023 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.38.1-2
- Backport upstream patch for testsuite with glibc 2.38.9000-20 qsort
  behavior change

* Sat Oct 28 2023 Michael J Gruber <mjg@fedoraproject.org> - 0.38.1-1
- rebase with upstream release 0.38.1 (rhbz#2241623)
- CLI: Report parse errors in config files.
- Emacs: Fix image toggling for Emacs >= 29.1.
- notmuch-mutt: Fix syntax error in script.

* Tue Sep 12 2023 Michael J Gruber <mjg@fedoraproject.org> - 0.38-1
- rebase with upstream release 0.38 (rhbz#2234464)
- Support relative lastmod queries.
- Support indexing of designated attachments as text.
- Emacs: Introduce notmuch-tree-outline-mode.
- Emacs: Some compatibility fixes for Emacs 29. At least one issue (hiding
  images) remains in 0.38.
- Various bugfixes and performance improvements.

* Sun Aug 06 2023 Michael J Gruber <mjg@fedoraproject.org> - 0.37-11
- Fix FTBFS with glib2 2.77 (rhbz#2226033}

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.37-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 16 2023 Michael J Gruber <mjg@fedoraproject.org> - 0.37-9
- Adjust to Python 3.12

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.37-8
- Rebuilt for Python 3.12

* Sat Jun 03 2023 Michael J Gruber <mjg@fedoraproject.org> - 0.37-7
- make tests pass by serializing

* Tue May 30 2023 Michael J Gruber <mjg@fedoraproject.org> - 0.37-6
- use full scan in the test suite more fully

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.37-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 12 2023 Florian Weimer <fweimer@redhat.com> - 0.37-4
- C99 compatibility fix

* Wed Jan 04 2023 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.37-3
- Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_3.2

* Tue Dec 06 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.37-2
- SPDX migration

* Mon Aug 22 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.37-1
- rebase with upstream release 0.37 (rhbz#2120124)
- enhance the search capabilities with notmuch-sexp-queries(7)
- provide a subpackage for the new command notmuch-git(1)

* Sun Aug 14 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.37~rc0-1
- rebase with upstream release candidate 0.37~rc0 (bz #2118116)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jun 25 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.36-4
- build notmuch with sfsexp

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.36-3
- Rebuilt for Python 3.11

* Wed Apr 27 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.36-2
- add explicit dependency of bindings on notmuch nvr

* Mon Apr 25 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.36-1
- rebase with upstream release 0.36 (bz #2075939)

* Sun Apr 17 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.36~rc1-1
- rebase with upstream release candidate 0.36~rc1 (bz #2075939)

* Fri Apr 15 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.36~rc0-1
- rebase with upstream release candidate 0.36~rc0 (bz #2075813)

* Wed Feb 16 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.35-2
- enable the test suite

* Sun Feb 06 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.35-1
- rebase with upstream release 0.35

* Sun Jan 30 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.35~rc0-1
- rebase with upstream release candidate 0.35~rc0 (bz #2030690)

* Thu Jan 27 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.34.3-3
- F-36: rebuild against ruby31

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.34.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 09 2022 Michael J Gruber <mjg@fedoraproject.org> - 0.34.3-1
- rebase with upstream release 0.34.3

* Sat Dec 18 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.34.2-3
- switch to modern spec macros

* Fri Dec 17 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.34.2-2
- stop catering to ancient releases

* Thu Dec 09 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.34.2-1
- rebase with upstream release 0.34.2

* Thu Dec 09 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.34.1-2
- reduce build requirements

* Wed Nov 03 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.34.1-1
- rebase with upstream release 0.34.1

* Wed Oct 20 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.34-1
- rebase with upstream release 0.34

* Sat Oct 16 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.34~rc0-1
- rebase with upstream RC

* Fri Sep 10 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.33.1-1
- fix potential information leak (bz #2003106)

* Sat Sep 04 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.33-1
- rebase with upstream release 0.33 (bz #1994846)

* Sun Aug 29 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.33~rc0-1
- rebase with upstream RC

* Wed Aug 18 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 0.32.3-4
- Remove no longer required info page installation

* Wed Aug 18 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 0.32.3-3
- Remove no longer required %%ldconfig_scriptlets

* Wed Aug 18 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 0.32.3-2
- Remove outdated switches in the spec

* Wed Aug 18 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 0.32.3-1
- New upstream release 0.32.3

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 28 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.32.2-1
- rebase with upstream release 0.32.2 (bz #1976601)

* Wed Jun 09 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.32.1-4
- prepare for ELN and upcoming RHEL

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.32.1-3
- Rebuilt for Python 3.10

* Mon May 17 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.32.1-2
- correct dependency for the vim plugin

* Sat May 15 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.32.1-1
- rebase with upstream release 0.32.1

* Wed May 12 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.32-2
- fix db changes from pre-new-hook

* Sun May 02 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.32-1
- rebase with upstream release 0.32

* Wed Apr 28 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.32~rc2-1
- rebase with upstream RC

* Sat Apr 24 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.32~rc1-1
- rebase with upstream RC

* Thu Feb 18 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.31.4-1
- rebase with bugfix release

* Thu Feb 11 2021 Michael J Gruber <mjg@fedoraproject.org> - 0.31.3-5
- fix FTBS #927636

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 06 2021 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.31.3-3
- F-34: rebuild against ruby 3.0

* Fri Dec 25 18:27:23 CET 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31.3-2
- drop upstream patch

* Fri Dec 25 18:11:21 CET 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31.3-1
- rebase with bugfix release

* Fri Dec 11 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31.2-5
- fix sphinx race condition in build

* Fri Dec 11 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31.2-4
- fix new CFFI python bindings (notmuch2)

* Fri Dec 11 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31.2-3
- ship info doc

* Fri Dec 11 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31.2-2
- build API doc

* Sun Nov 08 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31.2-1
- rebase with bugfix release

* Sun Sep 06 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31-1
- rebase with upstream release 0.31 (#1876170)

* Sun Aug 30 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31~rc2-1
- rebase with upstream RC

* Wed Aug 19 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.31~rc1-1
- rebase with upstream RC

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 11 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.30-1
- rebase with upstream release 0.30

* Fri Jul 03 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.30~rc3-1
- rebase with upstream RC
- reenable signature verification which was missing in rc2
- do not track the signature file in git (but do track the keyring) as per PG

* Thu Jun 25 2020 Michael J Gruber <mjg@fedoraproject.org> - 0.30~rc2-1
- rebase with upstream RC
- build new default (CFFI) python module but keep legacy for now

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.29.3-4
- Rebuilt for Python 3.9

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 18 2020 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.29.3-2
- F-32: rebuild against ruby27

* Wed Nov 27 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.29.3-1
- bugfix release (bz #1763420)

* Thu Oct 31 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.29.2-1
- bugfix release

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.29.1-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.29.1-3
- Rebuilt for Python 3.8

* Thu Jul 25 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.29.1-2
- verify package signature

* Wed Jun 12 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.29.1-1
- Update to 0.29.1

* Fri Jun 07 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.29-1
- Update to 0.29

* Mon May 06 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.28.4-1
- Bugfix release 0.28.4

* Thu Mar 07 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.28.3-1
- Bugfix release 0.28.3

* Wed Feb 20 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.28.2-1
- Update to 0.28.2

* Tue Feb 05 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.28.1-1
- Update to 0.28.1

* Tue Feb 05 2019 Michael J Gruber <mjg@fedoraproject.org> - 0.27-7
- Switch to python3 only for Fedora 30 and above

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.27-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 21 2019 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.27-5
- F-30: rebuild against ruby26

* Mon Jul 16 2018 Michael J Gruber <mjg@fedoraproject.org> - 0.27-4
- BR gcc gcc-c++

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.27-2
- Rebuilt for Python 3.7

* Wed Jun 13 2018 Michael J Gruber <mjg@fedoraproject.org> - 0.27-1
- new upstream version

* Sat May 26 2018 Dan Čermák <dan.cermak@cgc-instruments.com> - 0.26.2-0
- new upstream version

* Thu Feb 08 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.25-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.25-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 20 2018 Björn Esser <besser82@fedoraproject.org> - 0.25-4
- Rebuilt for switch to libxcrypt

* Fri Jan 05 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.25-3
- F-28: rebuild for ruby25

* Fri Sep 08 2017 Kalev Lember <klember@redhat.com> - 0.25-2
- Switch to gmime 3.0 on F27+

* Mon Aug 21 2017 Gonéri Le Bouder <goneri@redhat.com> - 0.25-0
- new upstream version

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 01 2017 Ralph Bean <rbean@redhat.com> - 0.24.2-1
- new version

* Tue Apr 04 2017 Ralph Bean <rbean@redhat.com> - 0.24.1-1
- new version

* Mon Mar 13 2017 Ralph Bean <rbean@redhat.com> - 0.24-1
- new version

* Thu Mar 02 2017 Ralph Bean <rbean@redhat.com> - 0.23.7-1
- new version

* Tue Feb 28 2017 Ralph Bean <rbean@redhat.com> - 0.23.6-1
- new version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Vít Ondruch <vondruch@redhat.com> - 0.23.5-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.4

* Mon Jan 09 2017 Ralph Bean <rbean@redhat.com> - 0.23.5-1
- new version

* Mon Dec 26 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.23.3-3
- Rebuild (xapian 1.4)

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.23.3-2
- Rebuild for Python 3.6

* Wed Nov 30 2016 Ralph Bean <rbean@redhat.com> - 0.23.3-1
- new version

* Mon Oct 24 2016 Ralph Bean <rbean@redhat.com> - 0.23.1-1
- new version

* Tue Oct 04 2016 Ralph Bean <rbean@redhat.com> - 0.23-1
- new version

* Tue Sep 27 2016 Ralph Bean <rbean@redhat.com> - 0.22.2-1
- Latest upstream.

* Tue Sep 27 2016 Ralph Bean <rbean@redhat.com> - 0.21-6
- Fixed python3 conditional in the files section.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Apr 04 2016 Ralph Bean <rbean@redhat.com> - 0.21-4
- Modernized python macros and added a python3 subpackage.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Vít Ondruch <vondruch@redhat.com> - 0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.3

* Fri Nov 27 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.21-1
- Update to 0.21
- Remove sha1 files - unused
- Ruby bindings are now built by default, so don't build them explicitly (thanks Jan Synáček)
- Add -fPIC to compiler flags

* Wed Sep 16 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.20.2-1
- Update to 0.20.2
- No longer build notmuch-deliver (no longer shipped upstream)
- Add python-sphinx to BuildRequires so man pages are built

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.19-3
- Rebuilt for GCC 5 C++11 ABI change

* Sat Jan 17 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.19-2
- Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_2.2

* Sat Nov 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.19-1
- update to upstream release 0.19
- add notmuch-vim subpackage
- fix "self-obsoletion" due to incorrect Provides for emacs-notmuch subpackage
  (and we can remove both Obsoletes and Provides anyway as no longer relevant)
- fix "non-conffile-in-etc /etc/bash_completion.d/notmuch"
- fix "install-file-in-docs /usr/share/doc/notmuch/INSTALL"
- fix "spurious-executable-perm /usr/share/man/man1/notmuch-mutt.1.gz"
- {__python} is deprecated

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Aug 13 2014 Luke Macken <lmacken@redhat.com> - 0.18.1-3
- Build a ruby-notmuch subpackage (#947571)

* Wed Aug 13 2014 Luke Macken <lmacken@redhat.com> - 0.18.1-2
- Add bash-completion, emacs, and python-docutils to the build requirements

* Mon Jul 28 2014 Luke Macken <lmacken@redhat.com> - 0.18.1-1
- Update to 0.18.1 (#1094701)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Ralph Bean <rbean@redhat.com> - 0.17-1
- Latest upstream.

* Wed Feb 12 2014 Ralph Bean <rbean@redhat.com> - 0.16-2
- Added install of notmuch-deliver.

* Fri Sep 27 2013 Lars Kellogg-Stedman <lars@redhat.com> - 0.16-1
- Updated to notmuch 0.16.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.13.2-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 17 2012 Karel Klíč <kklic@redhat.com> - 0.13.2-4
- notmuch-mutt requires perl(Term::Readline::Gnu)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 13 2012 Karel Klíč <kklic@redhat.com> - 0.13.2-2
- Packaged notmuch-mutt from contrib

* Fri Jul 13 2012 Karel Klíč <kklic@redhat.com> - 0.13.2-1
- Update to the newest release
- Merge emacs-notmuch-el into emacs-el to conform to the packaging
  guidelines

* Wed Mar  7 2012 Karel Klíč <kklic@redhat.com> - 0.11.1-1
- Update to newest release, which fixes CVE-2011-1103

* Mon Jan 30 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.11-1
- Latest upstream release
- Update patch so it applies

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 20 2011 Luke Macken <lmacken@redhat.com> - 0.9-1
- Latest upstream release

* Tue Aug 09 2011 Luke Macken <lmacken@redhat.com> - 0.6.1-2
- Create a subpackage for the Python bindings

* Thu Jul 28 2011 Karel Klíč <kklic@redhat.com> - 0.6.1-1
- Latest upstream release
- Added -gmime patch to compile with GMime 2.5.x (upstream uses GMime 2.4.x)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 09 2010 Karel Klic <kklic@redhat.com> - 0.5-3
- Removed local emacs %%globals, as they are not needed

* Thu Nov 25 2010 Karel Klic <kklic@redhat.com> - 0.5-2
- Removed BuildRoot tag
- Removed %%clean section

* Mon Nov 15 2010 Karel Klic <kklic@redhat.com> - 0.5-1
- New upstream release

* Fri Oct 15 2010 Karel Klic <kklic@redhat.com> - 0.3.1-3
- Improved the main package description.
- Various spec file improvements.

* Fri Oct  8 2010 Karel Klic <kklic@redhat.com> - 0.3.1-2
- Added patch that fixes linking on F13+

* Thu Oct  7 2010 Karel Klic <kklic@redhat.com> - 0.3.1-1
- New version
- Splitted notmuch into several packages

* Wed Nov 18 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.0-0.3.306635c2
- First version

## END: Generated by rpmautospec
